<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use DB;
use Hash;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //return view('home');
    }

   public function getout(Request $request)
   {
       Auth::logout();
       return redirect('/');
       //echo 1;
   }

    public function transfer(){
        date_default_timezone_set('Asia/Dhaka');
        $date = date("Y-m-d");
        $str = strtotime($date);

        $role = Auth::user()->role;
        $status = Auth::user()->status;
        $userName = Auth::user()->userName;


        if($role == 2 && $status == 1){

            $usersInfo = DB::table('users')
                ->join('employees', 'users.id', '=', 'employees.userId')
                ->select('users.*', 'employees.*')
                ->where('users.role',2)
                ->where('users.status',1)
                ->where('users.userName',$userName)
                ->first();

            $activityInfo = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($usersInfo->activityId)"));

            $reportInfo = DB::table('reports')->where('userId',$usersInfo->userId)->where('workingDay',$str)->first();

            if ($reportInfo){
                $number = explode(',', $reportInfo->number);
                $comments = explode(',', $reportInfo->comments);

                return view('admin.userDashboard.userDashboard',['activityInfo'=>$activityInfo,'number'=>$number,'comments'=>$comments]);
            }

            return view('admin.userDashboard.userDashboard',['usersInfo'=>$usersInfo,'activityInfo'=>$activityInfo,'reportInfo'=>$reportInfo]);
        }
        elseif($role == 1 && $status == 1){
           return redirect('dashboard');
        }else{
            Auth::logout();
            return redirect("/")->with('expression','অকার্যকর ব্যবহারকারী !');
        }
    }

    public function changePassword(){
      return view('books.change-password');
    }

    public function changePasswordSave(Request $request)
    {
      $current = $request->current;
      $new = $request->new;
      $confirm = $request->confirm;

      $user = Auth::user();

      if(Hash::check($current, $user->password)){
        if(strcmp($new, $confirm) == 0){
          $user->password = bcrypt($new);
          $user->save();

          $message = "Password changed successfully!";
        } else {
          $message = "Mismatched new password!";
        }
      } else {
        $message = "Current password not matched!";
      }

      return view('books.change-password')->with('message',$message);
    }

    public function savePassword(Request $request){

        if (!(Hash::check($request->get('current-password'), Auth::user()->password))) {
            // The passwords matches
            return redirect()->back()->with("error","Your current password does not matches with the password you provided. Please try again.");
        }

        if(strcmp($request->get('current-password'), $request->get('new-password')) == 0){
            //Current password and new password are same
            return redirect()->back()->with("error","New Password cannot be same as your current password. Please choose a different password.");
        }

        $validatedData = $request->validate([
            'current-password' => 'required',
            'new-password' => 'required|string|min:6|confirmed',
        ]);

        //Change Password
        $user = Auth::user();
        $user->password = bcrypt($request->get('new-password'));
        $user->save();

        return redirect()->back()->with("success","Password changed successfully !");

    }
}
