<?php

namespace App\Http\Controllers;

use App\Publishers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use DB;

class PublisherController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $publishers = Publishers::select('id','name','contact_no')->orderby('created_at', 'desc')->get();


        return view('books.publisher',['publishers'=>$publishers])->with('message','');

    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $this->validate($request,[
            'name'             => 'required',
        ]);

        $userInfo = new Publishers();
        $userInfo->name = $request->name;
        $userInfo->address = addslashes($request->address);
        $userInfo->contact_no = $request->contact_no;
        $userInfo->save();

        return redirect('/publisher')->with('message','Data Saved successfully!');
    }

    public function publisherAjax(Request $request)
    {
        //return dd($request->activityId);
        $admin =  Auth::user()->name;

        $this->validate($request,[
            'name'             => 'required',
        ]);

        $userInfo = new Publishers();
        $userInfo->name = $request->name;
        $userInfo->address = addslashes($request->address);
        $userInfo->contact_no = $request->contact_no;
        $userInfo->save();

        echo "<option value='".$userInfo->id."' selected>".$userInfo->name."</option>";
    }

    public function showById($id){
        //return dd($id);


        $publishersInfo = Publishers::select('id','name','address','contact_no')->orderby('created_at', 'desc')
            ->where('id',$id)
            ->first();

        return view('books.publisherShowById',['publishersInfo'=>$publishersInfo]);
    }


    public function editById($id){
        $publishersInfo = Publishers::select('id','name','address','contact_no')->orderby('created_at', 'desc')
            ->where('id',$id)
            ->first();

        return view('books.publisherEditById',['publishersInfo'=>$publishersInfo]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function updateById(Request $request)
    {

        $this->validate($request,[
            'name'             => 'required',
        ]);
        //$activity = implode(',', $request->activityId);

        DB::table('publishers')
            ->where('id', $request->id)
            ->update([
                'name' => $request->name,
                'address' => $request->address,
                'contact_no' => $request->contact_no,
            ]);

        return redirect('/publisher')->with('message','Data Updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('publishers')
            ->where('id', $id)
            ->delete();
        return redirect('/publisher')->with('message','Data successfully deleted!');

    }
}
