<?php

namespace App\Http\Controllers;

use App\Books;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct(){
        $this->middleware('auth');
    }


    public function index()
    {
        return view('admin.userLogin');
    }

    public function dashboard(){

        $books = Books::select('books.*', 'a.name as writerName', 'b.name as translator', 'publishers.name as publisherName')
            ->join('writers as a', 'books.writer', '=', 'a.id')
            ->join('writers as b', 'books.translator', '=', 'b.id', 'left outer')
            ->join('publishers', 'books.publisher', '=', 'publishers.id')
            ->orderby('id', 'asc')->get();

        return view('admin.dashboard.adminDashboard',['books'=>$books]);
    }

    public function user(){
        return view('admin.userDashboard.userDashboard');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
