<?php

namespace App\Http\Controllers;

use App\Writers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use DB;

class WriterController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $writers = Writers::select('id','name')->orderby('created_at', 'desc')->get();


        return view('books.writer',['writers'=>$writers])->with('message','');

    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //return dd($request->activityId);
        $admin =  Auth::user()->name;

        $this->validate($request,[
            'name'             => 'required',
        ]);

        $userInfo = new Writers();
        $userInfo->name = $request->name;
        $userInfo->biography = addslashes($request->biography);
        $userInfo->save();

        return redirect('/writer')->with('message','Data Saved successfully!');
    }

    public function writerAjax(Request $request)
    {
        //return dd($request->activityId);
        $admin =  Auth::user()->name;

        $this->validate($request,[
            'name'             => 'required',
        ]);

        $userInfo = new Writers();
        $userInfo->name = $request->name;
        $userInfo->biography = addslashes($request->biography);
        $userInfo->save();
        echo "<option value='".$userInfo->id."' selected>".$userInfo->name."</option>";
    }

    public function showById($id){
        //return dd($id);


        $writersInfo = Writers::select('id','name','biography')->orderby('created_at', 'desc')
            ->where('id',$id)
            ->first();

        return view('books.writerShowById',['writersInfo'=>$writersInfo]);
    }


    public function editById($id){
        $writersInfo = Writers::select('id','name','biography')->orderby('created_at', 'desc')
            ->where('id',$id)
            ->first();

        return view('books.writerEditById',['writersInfo'=>$writersInfo]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function updateById(Request $request)
    {

        $this->validate($request,[
            'name'             => 'required',
        ]);
        //$activity = implode(',', $request->activityId);

        DB::table('writers')
            ->where('id', $request->id)
            ->update([
                'name' => $request->name,
                'biography' => $request->biography,
            ]);

        return redirect('/writer')->with('message','Data Updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('writers')
            ->where('id', $id)
            ->delete();
        return redirect('/writer')->with('message','Data successfully deleted!');

    }
}
