<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Reports;
use Auth;
use App\User;
use DB;
use Session;

class dailyReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct(){
        $this->middleware('auth');
    }

    public function entry(Request $request)
    {

        $userId     = Auth::user()->id;
        date_default_timezone_set('Asia/Dhaka');
        $date = date("Y-m-d");
        $str = strtotime($date);


        $getId = DB::table('reports')->where('workingDay',$str)->where('userId',$userId)->first();
        //return dd($getId);die();

        if ($getId){
            return redirect('reportById/'.$getId->id);
        }else{


            $activityId = implode(',', $request->activityId);
            $number     = implode(',', $request->number);
            $comments   = implode(',', $request->comments);

            $report = new Reports();
            $report->userId = $userId;
            $report->activityId = $activityId;
            $report->number = $number;
            $report->comments = $comments;
            $report->workingDay = $str;
            $report->save();

            $getView = DB::table('reports')->where('workingDay', $str)->where('userId',$userId)->first();
            $activityInfo = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($activityId)"));

            session::put('message','আপনি সফলভাবে আপনার দায়িত্ব যুক্ত করেছেন');

            return view('admin.report.dailyReport',['getView'=>$getView,'activityInfo'=>$activityInfo]);


        }


    }

    public function showById($id){

        $userName     = Auth::user()->userName;

        $usersInfo = DB::table('users')
            ->join('employees', 'users.id', '=', 'employees.userId')
            ->select('users.*', 'employees.*')
            ->where('users.role',2)
            ->where('users.status',1)
            ->where('users.userName',$userName)
            ->first();


        $activityInfo = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($usersInfo->activityId)"));
        $getInfo = DB::table('reports')->where('id',$id)->first();
        $number = explode(',', $getInfo->number);
        $comments = explode(',', $getInfo->comments);

        return view('admin.report.reportShowById')
            ->with('activityInfo',$activityInfo)
            ->with('number',$number)
            ->with('comments',$comments)
            ->with('getInfo',$getInfo);

    }

    public function insertShow($id){
        //return dd($id);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function editReport(Request $request)
    {
        date_default_timezone_set('Asia/Dhaka');
        $date = date("Y-m-d");
        $str = strtotime($date);

        $userId     = Auth::user()->id;
        //return dd($userId);
        $activityId = implode(',', $request->activityId);
        $number     = implode(',', $request->number);
        $comments   = implode(',', $request->comments);

        $report = Reports::find($request->id);
        $report->userId = $userId;
        $report->activityId = $activityId;
        $report->number = $number;
        $report->comments = $comments;
        $report->workingDay = $str;
        $report->save();

        return redirect('reportById/'.$request->id)->with('message','আপনি সফলভাবে আপনার দায়িত্ব আপডেট করেছেন');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function getDailyReport()
    {
        $searching = DB::table('users')->where('role',2)->where('status',1)->get();

        return view('admin.dailyReportByUser',['searching'=>$searching]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function searchFor(Request $request)
    {
        date_default_timezone_set('Asia/Dhaka');
        $workingDay = strtotime($request->workingDay);
       // return dd($workingDay);

        $usersInfo = DB::table('users')
            ->join('employees', 'users.id', '=', 'employees.userId')
            ->select('users.*', 'employees.*')
            ->where('users.role',2)
            ->where('users.status',1)
            ->where('users.id',$request->userId)
            ->first();


        $activityInfo = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($usersInfo->activityId)"));

        $getInfo = DB::table('reports')->where('userId',$request->userId)->where('workingDay',$workingDay)->first();
        if ($getInfo == null){
            return redirect('dailyReportsByUser')->with('message',''.ucfirst($usersInfo->userName).' এর দৈনিক প্রতিবেদন খুজে পাওয়া যায় নাই');
        }else{
            $number = explode(',', $getInfo->number);
            $comments = explode(',', $getInfo->comments);
            $searching = DB::table('users')->where('role',2)->where('status',1)->get();

            return view('admin.dailyReportByUser')
                ->with('usersInfo',$usersInfo)
                ->with('searching',$searching)
                ->with('activityInfo',$activityInfo)
                ->with('number',$number)
                ->with('comments',$comments);
            }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
