<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Activities;

class employeeActivityController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct(){
        $this->middleware('auth');
    }

    public function index()
    {
        return view('admin.employeeActivity.employeeActivity');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'activityName' => 'required',
        ]);

        $insertInfo = new Activities();
        $insertInfo->activityName = $request->activityName;
        $insertInfo->status = $request->status;
        $insertInfo->save();

        return redirect('/employeeActivity')->with('message','দায়িত্ব সফলভাবে তৈরী হয়েছে ...');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
     $editInfo = Activities::find($id);
     return view('admin.employeeActivity.manageActivity',['editInfo'=>$editInfo]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $update = Activities::find($request->id);
        $update->activityName = $request->activityName;
        $update->status = $request->status;
        $update->save();

        return redirect('/employeeActivity')->with('message','দায়িত্ব সফলভাবে আপডেট হয়েছে ...');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
