<?php

namespace App\Http\Controllers;

use App\Employees;
use Illuminate\Http\Request;
use App\responsibilities;
use App\Activities;
use App\User;
use DB;
use Auth;
use Session;

class employeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct(){
        $this->middleware('auth');
    }

    public function index()
    {

      //$u = Session::get('check');
      //var_dump($u); die();

        $activityInfo = Activities::where('status',1)->orderBy('id', 'desc')->get();
        $responInfo   = responsibilities::where('status',1)->get();

        return view('admin.employee.employeeRegistration2',['activityInfo'=>$activityInfo,'responInfo'=>$responInfo]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //return dd($request->activityId);
        $admin =  Auth::user()->name;

        $this->validate($request,[
            'name'             => 'required',
            'userName'         => 'required',
            'password'         => 'required|string|min:6',

        ]);

        //$activity = implode(',', $request->activityId);
        //return dd($activity);
        $userInfo = new User();
        $userInfo->name = $request->name;
        $userInfo->userName = $request->userName;
        $userInfo->password = bcrypt($request['password']);
        $userInfo->status = 1;
        $userInfo->role = 2;
        $userInfo->save();

        $id = User::select('id')->orderby('created_at', 'desc')->first();

        $employeeInfo = new Employees();
        $employeeInfo->userId = $id->id;
        $employeeInfo->responsibilityId = $request->responsibilityId;
        $employeeInfo->activityId = $request->hiddenValue;
        $employeeInfo->adminName = $admin;
        $employeeInfo->status = 1;
        $employeeInfo->save();

        return redirect('/employeeRegistration')->with('message','কর্মকর্তা/কর্মচারী  সফলভাবে তৈরী হয়েছে ...');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show()
    {

        $userInfo = DB::select(DB::raw("SELECT users.id,users.name,users.userName,users.password,users.created_at,employees.userId,employees.responsibilityId,employees.activityId,employees.adminName,employees.status,employees.created_at FROM users INNER JOIN employees ON users.id=employees.userId"));
        $responsInfo = responsibilities::where('status',1)->get();

        return view('admin.employee.manageEmployee',['userInfo'=>$userInfo,'responsInfo'=>$responsInfo]);
    }

    public function showById($id){
        //return dd($id);

        $users = DB::table('users')
            ->join('employees', 'users.id', '=', 'employees.userId')
            ->select('users.*', 'employees.*')
            ->where('users.id',$id)
            ->first();


        $responsInfo = responsibilities::where('id',$users->responsibilityId)->where('status',1)->first();
        $activityInfo = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($users->activityId)"));

        //$activityInfo = Activities::where('status',1)->get();

        return view('admin.employee.showById',['users'=>$users,'responsInfo'=>$responsInfo,'activityInfo'=>$activityInfo]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function editById($id)
    {
        $users = DB::table('users')
            ->join('employees', 'users.id', '=', 'employees.userId')
            ->select('users.*', 'employees.*')
            ->where('users.id',$id)
            ->first();

        $responInfo = responsibilities::where('status',1)->get();

        $Info = DB::select(DB::raw("SELECT * FROM `activities` WHERE id in ($users->activityId)"));


        return view('admin.employee.editById',['users'=>$users,'responInfo'=>$responInfo,'Info'=>$Info]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function updateById(Request $request)
    {
        //return $request->userName;
        $admin =  Auth::user()->name;

        $this->validate($request,[
            'name'             => 'required',
            'userName'         => 'required|min:4',
        ]);
        //$activity = implode(',', $request->activityId);

        DB::table('users')
            ->where('id', $request->id)
            ->update([
                'name' => $request->name,
                'userName' => $request->userName,
                'status' => $request->status,
            ]);



        DB::table('employees')
            ->where('userId', $request->id)
            ->update([
                'responsibilityId' => $request->responsibilityId,
                'activityId' => $request->activityCookieValue,
                'status' => $request->status,
                'adminName'  => $admin,
            ]);

        return redirect('/manageEmployee')->with('message','কর্মকর্তা/ কর্মচারী সফলভাবে আপডেট হয়েছে ...');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $admin =  Auth::user()->name;

        DB::table('users')
            ->where('id', $id)
            ->update([
                'status' => 0,
            ]);

        DB::table('employees')
            ->where('userId', $id)
            ->update([
                'status' => 0,
                'adminName'  => $admin,
            ]);

        return redirect('/manageEmployee')->with('message','কর্মকর্তা/ কর্মচারী সফলভাবে বাতিল হয়েছে ...');

    }
}
