<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\responsibilities;
use App\Activities;
use DB;
use View;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //show all responsibilities ....
        View::composer('admin.responsibilities.responsibilities',function($view){

            $info = responsibilities::all();

            $view->with('info',$info);
        });

        //show all activity .....
        View::composer('admin.employeeActivity.employeeActivity',function ($view){
            $info = Activities::all();
            $view->with('info',$info);
        });

        // show employee panel in activity .....

        View::composer('admin.employee.editById',function ($view){
            $activityInfo = Activities::where('status',1)->get();
            $view->with('activityInfo',$activityInfo);
        });

        \Blade::setEchoFormat('e(utf8_encode(%s))');
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
