<?php
date_default_timezone_set('Asia/Dhaka');
?>
@extends('admin.master')

@section('title','Create Responsibilities')

@section('pageTitle')
    <div class="row">
        <div class="col-md-4 col-sm-5">
            <h2>দৈনিক প্রতিবেদন দেখুন</h2>
            <strong><a href="{{ url('dashboard') }}">ড্যাশবোর্ড</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div>
@endsection

@section('mainContend')

        <div class="row">
            <div class="col-md-offset-1 col-md-10">
                <?php
                $message = Session::get('message');
                if ($message){
                ?>
                <div class = "alert alert-danger alert-dismissable">
                    <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                        &times;
                    </button>

                    <?php  echo $message; ?>
                </div>
                <?php
                Session::put('message','');
                }
                ?>
            </div>
        </div>



            <div class="form-group">
                <div class="row">
                    {!! Form::open(['url'=>'dailyReportsByUser','method'=>'POST']) !!}
                    <div class="col-md-offset-1 col-md-4 col-sm-offset-1 col-sm-4">

                        <select class="selectpicker form-control" data-live-search="true" name="userId" required>
                            <option>ইউজার নেম</option>
                            @if(isset($searching))
                                @foreach($searching as $value)
                                    <option value="{{ $value->id }}">{{ ucwords($value->userName) }}</option>
                                @endforeach
                            @endif
                        </select>

                    </div>

                    <div class="col-sm-4 col-md-4">
                        <input type="date" class="form-control" id="name" name="workingDay">
                    </div>

                    <div class="col-sm-2">
                        <button type="submit" class="btn btn-info">
                            <span class="glyphicon glyphicon-search"></span> অনুসন্ধান
                        </button>
                    </div>
                </div>
            </div>
            {!! Form::close() !!}

            @if(isset($usersInfo))
                <div class="row">
                    <div class="col-md-offset-1 col-md-10">
                        <div class="panel panel-success">
                            <div class="panel-heading">{{ ucwords($usersInfo->userName )}}</div>
                            <div class="panel-body">
                                <table class="table table-bordered">
                                    <tr>
                                        <td>বিবরন</td>
                                        <td>সংখ্যা</td>
                                        <td>মন্তব্য</td>
                                    </tr>

                                    <tr>
                                        <td style="padding-left: 10px;">
                                            <?php $i = 1; foreach ($activityInfo as $value){ ?>
                                            <?php  echo $i++ . '. ' . $value->activityName .'<br>' ?><br>
                                            <?php } ?>

                                        </td>
                                        <td>
                                            <?php
                                            if (isset($number)){
                                                foreach ($number as $value){
                                                    echo $value.'<br><br>';
                                                }
                                            }

                                            ?>
                                        </td>

                                        <td>
                                            <?php
                                            if (isset($comments)){
                                                foreach ($comments as $value){
                                                    echo $value.'<br><br>';
                                                }
                                            }

                                            ?>
                                        </td>

                                    </tr>

                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            @endif





@endsection