<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master1')
@section('title','Employee Registration')

@section('pageTitle')
    <div class="row">
        <div class="col-md-4 col-sm-5">
            <h2>কর্মকর্তা / কর্মচারী আপডেট</h2>
            <strong><a href="{{ url('dashboard') }}">ড্যাশবোর্ড</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div>
@endsection

@section('mainContend')
    <div class="container">



        {!! Form::open(['url'=>'updateEmployeeById','method'=>'POST','class'=>'form-horizontal','name'=>'employee']) !!}
        <div class="form-group">
            <div class="row">

                <div class="col-md-offset-2 col-md-4 col-sm-offset-2 col-sm-4">
                    <label for="name" class="control-label">কর্মকর্তা/ কর্মচারীর নাম</label>
                    <input type="text" class="form-control" id="name" placeholder="নাম" name="name" value="{{ $users->name }}">

                    @if ($errors->has('name'))
                        <span class="help-block">
                            <strong>{{ $errors->first('name') }}</strong>
                        </span>
                    @endif

                </div>

                <div class="col-sm-4">
                    <label for="responsibilityId" class="control-label">কর্মকর্তা/ কর্মচারীর পদবী</label>
                    <select class="form-control" name="responsibilityId" id="responsibilityId">
                        <option>আপনার পদবী লিখুন</option>
                        @foreach($responInfo as $value)
                            <option value="{{ $value->id }}">{{ $value->responsibilitiesName }}</option>
                        @endforeach
                    </select>

                    @if ($errors->has('responsibilityId'))
                        <span class="help-block">
                            <strong>{{ $errors->first('responsibilityId') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
        </div>

        <div class="form-group">
            <div class="row">
                <div class="col-md-offset-2 col-md-4 col-sm-offset-2 col-sm-4">
                    <label for="userName" class="control-label">কর্মকর্তা/ কর্মচারীর ইউজার নেম</label>
                    <input type="text" class="form-control" id="userName" placeholder="ইউজার নেম" name="userName" value="{{ $users->userName }}">

                    @if ($errors->has('userName'))
                        <span class="help-block">
                            <strong>{{ $errors->first('userName') }}</strong>
                        </span>
                    @endif
                </div>

                <div class="col-md-4 col-sm-4">
                    <label for="inputName" class="control-label">কর্মকর্তা/ কর্মচারীর অবস্থা</label>
                    <select class="form-control" name="status" id="status">
                        <option value="1">সক্রিয়</option>
                        <option value="0">নিষ্ক্রিয়</option>

                    </select>

                </div>

            </div>

        </div>

        <div class="form-group">
            <div class="row">
                <div class="col-md-offset-2 col-sm-offset-2 job-list checkbox col-md-8 col-sm-8 bg-success">
                    <h4 class="text-success">দায়িত্ব অর্পণ করুন</h4>

                    <table class="display table dataTable" id="dynamic-table" aria-describedby="dynamic-table_info">
                        <thead>
                        <tr>
                            <th>দায়িত্বের নাম</th>

                        </tr>
                        </thead>


                        <tbody role="alert" aria-live="polite" aria-relevant="all">
                        @foreach($activityInfo as $value)
                            <tr class="gradeX odd">
                                <td>
                                    <label>
                                        <input type="checkbox" class="getCheckUpdate" value="{{ $value->id }}" name="activityId[]" @if(in_array($value->id, explode(',',$users->activityId))) checked @endif>{{ $value->activityName }}
                                    </label>
                                </td>

                            </tr>
                        @endforeach

                        </tbody>

                    </table>
                </div>

            </div>
        </div>

        <input type="hidden" name="activityCookieValue" id="getCheckValue" value="{{ $users->activityId }}">

        <input type="hidden" name="id" value="{{ $users->userId }}">
        <div class="form-group">
            <div class="col-md-offset-2 col-md-8 col-sm-8 col-sm-offset-2">
                <input type="submit" name="" class="btn btn-success pull-right" value="আপডেট করুন"/>
            </div>
        </div>
        {!! Form::close() !!}

    </div>
    <script type="text/javascript">
        document.forms['employee'].elements['responsibilityId'].value={{ $users->responsibilityId }}
        document.forms['employee'].elements['status'].value={{ $users->status }}
    </script>

    <style>

        .dataTables_length{
            display: none;
        }
        .dt-buttons{
            display: none;
        }
        .sorting_asc{
            display: none;
        }
    </style>
    @endsection
