<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master2')
@section('title','Employee Registration')

@section('pageTitle')
    <div class="row">
        <div class="col-md-3 col-sm-4">
            <h2>স্বাগতম অ্যাডমিন</h2>
            <strong><a href="{{ url('dashboard') }}">ড্যাশবোর্ড</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div>
@endsection

@section('mainContend')
    <div class="container">
        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>
    <div class="row">
        <h4 class="text-success col-md-5 col-md-offset-1">কর্মকর্তা / কর্মচারী নিবন্ধন abcd</h4>

    </div>


        {!! Form::open(['url'=>'employeeEntry','method'=>'POST','class'=>'form-horizontal','name'=>'employee']) !!}
        <div class="form-group">
            <div class="row">

                <div class="col-md-offset-2 col-md-4 col-sm-offset-2 col-sm-4">
                    <label for="name" class="control-label">কর্মকর্তা/ কর্মচারীর নাম</label>
                    <input type="text" class="form-control" id="name" placeholder="নাম" name="name">

                    @if ($errors->has('name'))
                        <span class="help-block">
                            <strong>{{ $errors->first('name') }}</strong>
                        </span>
                    @endif

                </div>

                <div class="col-sm-4">
                    <label for="responsibilityId" class="control-label">কর্মকর্তা/ কর্মচারীর পদবী</label>
                    <select class="form-control" name="responsibilityId">
                        <option>আপনার পদবী লিখুন</option>
                        @foreach($responInfo as $value)
                            <option value="{{ $value->id }}">{{ $value->responsibilitiesName }}</option>
                            @endforeach
                    </select>

                    @if ($errors->has('responsibilityId'))
                        <span class="help-block">
                            <strong>{{ $errors->first('responsibilityId') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
        </div>

        <div class="form-group">
            <div class="row">
                <div class="col-md-offset-2 col-md-4 col-sm-offset-2 col-sm-4">
                    <label for="userName" class="control-label">কর্মকর্তা/ কর্মচারীর ইউজার নেম</label>
                    <input type="text" class="form-control" id="userName" placeholder="ইউজার নেম" name="userName">

                    <span style="color: green">
                        <strong id="msg"></strong>
                    </span>

                    @if ($errors->has('userName'))
                    <span class="help-block">
                            <strong>{{ $errors->first('userName') }}</strong>
                        </span>
                    @endif
                </div>


                <div class="col-md-4 col-sm-4">
                    <label for="inputName" class="control-label">আপনার  পাসওয়ার্ড</label>
                    <input type="password" class="form-control" placeholder="আপনার পাসওয়ার্ড " name="password">

                    @if ($errors->has('password'))
                        <span class="help-block">
                            <strong>{{ $errors->first('password') }}</strong>
                        </span>
                    @endif

                </div>
            </div>
        </div>

        <div class="form-group">
            <div class="row">
                <div class="col-md-offset-2 col-sm-offset-2 job-list checkbox col-md-8 col-sm-8 bg-success">
                    <h4 class="text-success">দায়িত্ব অর্পণ করুন</h4>
                    <table class="display table dataTable" id="dynamic-table" aria-describedby="dynamic-table_info">
                        <thead>
                        <tr>
                            <th>দায়িত্বের নাম</th>

                        </tr>
                        </thead>


                        <tbody role="alert" aria-live="polite" aria-relevant="all">
                        @foreach($activityInfo as $value)
                            <tr class="gradeX odd">
                                <td>
                                    <label>
                                        <input type="checkbox" class="getCheck" value="{{ $value->id }}" name="activityId[]">{{ $value->activityName }}
                                    </label>
                                </td>

                            </tr>
                        @endforeach

                        </tbody>

                    </table>
                </div>

            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-8 col-sm-8 col-sm-offset-2">
                <input type="submit" name="" class="btn btn-success pull-right" value="সংরক্ষণ করুন"/>
            </div>
        </div>
    {!! Form::close() !!}
    </div>

    <style>

        .dataTables_length{
            display: none;
        }
        .dt-buttons{
            display: none;
        }
        .sorting_asc{
            display: none;
        }
    </style>
    @endsection