<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master')
@section('title','Employee Show')

@section('pageTitle')
    <div class="row">
        <div class="col-md-4 col-sm-5">
            <h2>কর্মকর্তা / কর্মচারী দেখুন</h2>
            <strong><a href="{{ url('dashboard') }}">ড্যাশবোর্ড</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div>

@endsection

@section('mainContend')
    <div class="container">

        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>

        <div class="adv-table table-responsive">
            <div id="dynamic-table_wrapper" class="dataTables_wrapper form-inline" role="grid">

                <table class="display table table-bordered table-striped dataTable" id="dynamic-table" aria-describedby="dynamic-table_info">
                    <thead>
                    <tr>
                        <th>ক্রমিক নং</th>
                        <th>ইউজারের নাম</th>
                        <th>কর্মকর্তা/ কর্মচারীর পদবী</th>
                        <th>কর্মকর্তা/ কর্মচারীর অবস্থা</th>
                        <th>তারিখ</th>
                        <th>প্রক্রিয়া</th>

                    </tr>
                    </thead>


                    <tbody role="alert" aria-live="polite" aria-relevant="all">
                    <?php $i = 1; ?>
                    @foreach($userInfo as $value)
                    <tr class="gradeX odd">
                        <td>{{ $i++ }}</td>
                        <td>{{ ucwords($value->userName )}}</td>
                        <td>@foreach($responsInfo as $item)
                            @if($value->responsibilityId == $item->id)
                            {{ $item->responsibilitiesName }}
                                @endif
                            @endforeach
                        </td>
                        <td>
                            @if($value->status == 1)
                                <spain class="text-success">সক্রিয়</spain>
                            @elseif($value->status == 0)
                                <spain class="text-info">নিষ্ক্রিয়</spain>
                            @endif
                        </td>
                        <td>{{ $value->created_at }}</td>
                        <td>
                            <a href="{{ url('/showEmployeeById/'.$value->id) }}" class="btn btn-info" data-toggle="tooltip" data-placement="bottom" title="পুরো তথ্য দেখুন"><i class="fa fa-eye"></i></a>
                            <a class="btn btn-success" href="{{ url('/updateEmployeeById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Update Employee Info"><i class="fa fa-pencil-square-o"></i></a>
                            <a class="btn btn-danger" href="{{ url('/deleteEmployeeById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Update Employee Info" onclick="return confirm('Are you sure to delete this?')"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                        </td>
                    </tr>
                    @endforeach
                    </tbody>
                    <tfoot>
                    <tr>
                        <th>ক্রমিক নং</th>
                        <th>ইউজারের নাম</th>
                        <th>কর্মকর্তা/ কর্মচারীর পদবী</th>
                        <th>কর্মকর্তা/ কর্মচারীর অবস্থা</th>
                        <th>তারিখ</th>
                        <th>প্রক্রিয়া</th>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>




    @endsection