<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master')
@section('title','Employee Activity')
@section('pageTitle')
    <div class="row">
        <div class="col-md-3 col-sm-4">
            <h2>দায়িত্ব তৈরী করুন</h2>
            <strong><a href="{{ url('dashboard') }}">ড্যাশবোর্ড</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>

        </div>
        <div class="row">
            <h4 class="text-danger col-md-4 col-md-offset-2"></h4>
        </div>
    </div>
    @endsection
@section('mainContend')
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <?php
                $message = Session::get('message');
                if ($message){
                ?>
                <div class = "alert alert-success alert-dismissable">
                    <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                        &times;
                    </button>

                    <?php  echo $message; ?>
                </div>
                <?php
                Session::put('message','');
                }
                ?>
                <section class="panel">
                    <header class="panel-heading custom-tab">
                        <ul class="nav nav-tabs">
                            <li class="active">
                                <a href="#about-2" data-toggle="tab" aria-expanded="false">
                                    <i class="fa fa-user"></i>
                                    দায়িত্ব তৈরী করুন
                                </a>
                            </li>
                            <li >
                                <a href="#contact-2" data-toggle="tab" aria-expanded="true">
                                    <i class="fa fa-envelope-o"></i>
                                    দায়িত্ব দেখুন
                                </a>
                            </li>
                        </ul>
                    </header>
                    <div class="panel-body">
                        <div class="tab-content">
                            <div class="tab-pane active" id="about-2">
                                <section class="panel">
                                    <header class="panel-heading">
                                        নতুন দায়িত্ব লেখুন

                                    </header>
                                    <div class="panel-body">
                                        <div class="form cmxform form-horizontal adminex-form" novalidate="novalidate">

                                            {!! Form::open(['url' => '/activityEntry','method'=>'POST']) !!}
                                            <div >

                                                <div class="form-group ">
                                                    <label for="activityName" class="control-label col-lg-3">দায়িত্বের নাম</label>
                                                    <div class="col-lg-9">
                                                        <input class=" form-control" id="activityName" name="activityName" type="text" placeholder="দায়িত্বের নাম লেখুন" required autofocus>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label for="status" class="control-label col-lg-3">দায়িত্বের অবস্থা </label>
                                                    <div class="col-lg-9">
                                                        <select class="form-control m-bot15" id="status" name="status">
                                                            <option value="1">সক্রিয়</option>
                                                            <option value="2">নিষ্ক্রিয়</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <div class="col-lg-offset-3 col-lg-9">
                                                        <button class="btn btn-primary" type="submit">সংরক্ষন করুন</button>
                                                        <button class="btn btn-danger" type="reset">বাতিল করুন</button>
                                                    </div>
                                                </div>
                                            </div>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>
                                </section>
                            </div>
                            <div class="tab-pane " id="contact-2">
                                <section class="panel">
                                    <div class="panel-body">
                                        <div class="adv-table table-responsive">
                                            <div id="dynamic-table_wrapper" class="dataTables_wrapper form-inline" role="grid">

                                                <table class="display table table-bordered table-striped dataTable" id="dynamic-table" aria-describedby="dynamic-table_info">
                                                    <thead>
                                                    <tr>
                                                        <th>ক্রমিক নং</th>
                                                        <th>দায়িত্বের নাম</th>
                                                        <th>দায়িত্বের অবস্থা</th>
                                                        <th>তৈরীর তারিখ</th>
                                                        <th>প্রক্রিয়া</th>

                                                    </tr>
                                                    </thead>


                                                    <tbody role="alert" aria-live="polite" aria-relevant="all">
                                                    @foreach($info as $view)
                                                    <tr class="gradeX odd">
                                                        <td>{{ $view->id }}</td>
                                                        <td>{{ $view->activityName }}</td>
                                                        <td>
                                                            @if($view->status == 1)
                                                                <spain class="text-success">সক্রিয়</spain>
                                                            @elseif($view->status == 2)
                                                                <spain class="text-info">নিষ্ক্রিয়</spain>
                                                            @endif
                                                        </td>
                                                        <td>{{ $view->created_at }}</td>
                                                        <td>
                                                            <a class="btn btn-info" href="{{ url('/updateActivity/'.$view->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Update Activity Info"><i class="fa fa-pencil-square-o"></i></a>
                                                        </td>

                                                    </tr>
                                                        @endforeach

                                                    </tbody>
                                                    <tfoot>
                                                    <tr>
                                                    <tr>
                                                        <th>ক্রমিক নং</th>
                                                        <th>দায়িত্বের নাম</th>
                                                        <th>দায়িত্বের অবস্থা</th>
                                                        <th>তৈরীর তারিখ</th>
                                                        <th>প্রক্রিয়া</th>
                                                    </tr>
                                                    </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </div>
                        </div>

                    </div><!-----panel body end---->
                </section>
            </div>

        </div>
    </div>
    @endsection