<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>@yield('title')</title>
    <!-- Bootstrap -->
    <link href="{{ asset('public/admin/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="{{ asset('public/admin/css/font-awesome.min.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/hover-min.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/custom.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/animate.min.css') }}" rel="stylesheet">

    <!--dynamic table-->
    {!! Html::style('public/admin/js/data-tables/datatables.min.css') !!}
    {{--select box--}}
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/css/bootstrap-select.min.css" />


    <style>
        .main .row{
            margin-top:20px;
        }

        .footer-bottom {
            background:#666666;
            padding:15px 0;
            border-top:1px solid #d9d9d9;
            font-size:11px;
            color:#fff;
            margin-top:250px;
            text-align:center;
        }
        .nav li{
            margin-left: 3px;
        }

        .lend{
            background-color: yellow;
        }
    </style>
</head>
<body>
<div class="header">
    <div class="row">
        <div class="col-md-12 col-sm-12">
            <img src="{{ asset('public/admin/images/logo.jpg') }}" alt="header" class="img-responsive" />
        </div>
    </div>
</div>

<div class="container">
    <ul class="nav navbar-nav navbar-right">
        <!-- Authentication Links -->
        <li>
            <a href="{{ url('wishlist') }}" class="btn btn-primary btn-md">Manage Wishlist</a>
        </li>
        <li>
            <a href="{{ url('lend') }}" class="btn btn-warning btn-md">Manage Lend</a>
        </li>
        <li>
            <a href="{{ url('book') }}" class="btn btn-danger btn-md">Manage Books</a>
        </li>
        <li>
            <a href="{{ url('publisher') }}" class="btn btn-info btn-md">Manage Publishers</a>
        </li>
        <li>
            <a href="{{ url('writer') }}" class="btn btn-success btn-md">Manage Writers</a>
        </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false" aria-haspopup="true">
                    {{ ucwords(Auth::user()->name )}} <span class="caret"></span>
                </a>

                <ul class="dropdown-menu">
                    @if(Auth::user()->role == 2)
                    <li>
                        <a href="{{ url('profile') }}"> <i class="fa fa-user"></i>
                            Profile
                        </a>
                    </li>
                    @endif

                    <li>
                        <a href="{{ route('logout') }}"
                           onclick="event.preventDefault();document.getElementById('logout-form').submit();"> <i class="fa fa-sign-out"></i>
                            Logout
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            {{ csrf_field() }}
                        </form>
                    </li>
                </ul>
            </li>

    </ul>


    @yield('pageTitle')
    <hr>
</div>




<div class="main">
    @yield('mainContend')
</div>


<div class="footer-bottom">
    <div class="container">
        <div class="row">
            <div class="col-md-12 widget">Designed & Developed by -ISRATTS Technologies</span>
            </div>
        </div>
    </div>
</div>



<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<!--  <script src="js/jquery-1.11.3.min.js"></script> -->
<!-- Include all compiled plugins (below), or include individual files as needed -->

<script src="{{ asset('public/admin/js/jquery-1.12.2.min.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.0/jquery.waypoints.min.js"></script>
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> -->
<script src="{{ asset('public/admin/js/jquery.counterup.min.js') }}"></script>
<script src="{{ asset('public/admin/js/bootstrap.min.js') }}"></script>

<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->

<!--dynamic table-->
{!! Html::script('public/admin/js/data-tables/datatables.min.js') !!}

<!--dynamic table initialization -->
{!! Html::script('public/admin/js/dynamic_table_init.js') !!}
{{--select js--}}
<script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/js/bootstrap-select.min.js"></script>


<script>
    $('#userName').change(function () {
        var userName = $(this).val();
        var token = $("input[name='_token']").val();

        $.post(
            'userCheck',
            {userName: userName, _token: token},
            function (data) {

                if (data == 1){
                    $("#msg").html("Your username is already exists !");
                }else {
                  $("#msg").html("Your username is set ");
                }
            }
        );

    });

    // getCheck
    // $(document).ready(function(){
    //     $('.getCheck').click(function(){
    //        alert("yes");
    //    });
    //
    // });
       
</script>

<script>
    $(window).scroll(function() {
        if ($(document).scrollTop() > 50) {
            $('nav').addClass('shrink');
        } else {
            $('nav').removeClass('shrink');
        }
    });

</script>
</body>
</html>