<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>@yield('title')</title>
    <!-- Bootstrap -->
    <link href="{{ asset('public/admin/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="{{ asset('public/admin/css/font-awesome.min.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/hover-min.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/custom.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/css/animate.min.css') }}" rel="stylesheet">
    <link href="{{ asset('public/admin/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css') }}" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
    <!--dynamic table-->
    {!! Html::style('public/admin/js/data-tables/datatables.min.css') !!}
    {{--select box--}}
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/css/bootstrap-select.min.css" />
    <link href="https://fonts.maateen.me/solaiman-lipi/font.css" rel="stylesheet">

    <style>
        .main .row{
            margin-top:20px;
        }

        .footer-bottom {
            background:#666666;
            padding:15px 0;
            border-top:1px solid #d9d9d9;
            font-size:11px;
            color:#fff;
            margin-top:250px;
            text-align:center;
        }
        .nav li{
            margin-left: 3px;
        }
        navbar-nav>li>a {
            padding-top: 0px !important;
            padding-bottom: 0px !important;
        }

        .lend{
            background-color: #CC85CC;
        }

        body {
            background: url(public/admin/images/leather2.png) repeat 0 0;
            margin-right:15px;
            font-family: 'SolaimanLipi', Arial, sans-serif !important;
        }

        /*
        .gr-li:hover{
          border-bottom: 2px solid #763736;
        }
        .container{
            background-color: gainsboro;
            margin: 0 auto;
            padding: 5px;
        }*/
        .nav{
            padding: 0px;
            font-weight: bold;
            font-family: calibri;
            font-size: 18px;
        }
    </style>
</head>
<body>

<div class="container">
<div class="header">
    <div class="row">
        <div class="">
            <img src="{{ asset('public/admin/images/logo.jpg') }}" alt="header" class="img-responsive" style="height:200px; width: 100%" />
        </div>
    </div>
</div>
    <ul class="nav navbar-nav navbar-right">
        <!-- Authentication Links -->
        <li class="gr-li">
            <a href="{{ url('dashboard') }}" class="">Home</a>
        </li>
        <li class="gr-li">
            <a href="{{ url('book') }}" class=""> Books</a>
        </li>
        <li class="gr-li">
            <a href="{{ url('writer') }}" class=""> Writers</a>
        </li>
        <li class="gr-li">
            <a href="{{ url('publisher') }}" class=""> Publishers</a>
        </li>
        <li class="gr-li">
            <a href="{{ url('wishlist') }}" class=""> Wishlist</a>
        </li>
        <li class="gr-li">
            <a href="{{ url('lend') }}" class=""> Lend</a>
        </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false" aria-haspopup="true">
                    {{ ucwords(Auth::user()->name )}} <span class="caret"></span>
                </a>

                <ul class="dropdown-menu">
                    @if(Auth::user()->role == 2)
                    <li>
                        <a href="{{ url('profile') }}"> <i class="fa fa-user"></i>
                            Profile
                        </a>
                    </li>
                    @endif

                    <li>
                        <a href="{{ url('logout') }}"> <i class="fa fa-sign-out"></i>
                            Logout
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            {{ csrf_field() }}
                        </form>
                    </li>
                    <li>
                        <a href="{{ url('change-password') }}"> <i class="fa fa-key"></i>
                            Change Password
                        </a>
                    </li>
                </ul>
            </li>

    </ul>


    @yield('pageTitle')
</div>




<div class="main">
    @yield('mainContend')
</div>


<div class="footer-bottom">
    <div class="container">
        <div class="row">
            <div class="col-md-12 widget">Designed & Developed by -<a href="http://israttstech.com" target="_blank">ISRATTS Technologies</a></span>
            </div>
        </div>
    </div>
</div>



<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<!--  <script src="js/jquery-1.11.3.min.js"></script> -->
<!-- Include all compiled plugins (below), or include individual files as needed -->

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.0/jquery.waypoints.min.js"></script>
<script src="{{ asset('public/admin/js/jquery.counterup.min.js') }}"></script>
<script src="{{ asset('public/admin/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('public/admin/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js') }}"></script>

<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
{{--<script src="{{ asset('public/admin/js/jquery-1.12.2.min.js') }}"></script>--}}


<!--dynamic table-->
{!! Html::script('public/admin/js/data-tables/datatables.min.js') !!}

<!--dynamic table initialization -->
{!! Html::script('public/admin/js/dynamic_table_init.js') !!}
{{--select js--}}
<script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/js/bootstrap-select.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>

<script>

    $(document).ready(function () {

      $('#writers').select2();
      $('#translators').select2();
      $('#publishers').select2();

        $('.save-translator').click(function(){
            var formWriter = $('.form-translator').serialize();
            $.post({
                url: "writerAjax",
                data: formWriter,
                success: function (data) {
                    $('#translators').append(data);
                    $('.cancel').click();
                }
            })
        });

        $('.save-writer').click(function(){
            var formWriter = $('.form-writer').serialize();
            $.post({
                url: "writerAjax",
                data: formWriter,
                success: function (data) {
                    $('#writers').append(data);
                    $('.cancel').click();
                }
            })
        });

        $('.save-publisher').click(function(){
            var formWriter = $('.form-publisher').serialize();
            $.post({
                url: "publisherAjax",
                data: formWriter,
                success: function (data) {
                    $('#publishers').append(data);
                    $('.cancel').click();
                }
            })
        });

        $(".tag-seeker").blur(function () {
            var t = $(this);
            var newText = t.val();
            if(t.is("select")) {
                newText = t.children("option[value*='"+newText+"']").html();
            }
            //alert(newText);
            var textAr = newText.split(' ');
            var oldTags = $("#tags").val();
            var oldTagsAr = oldTags.split(',');
            textAr.forEach(function (v, i) {
                var searchTag = oldTagsAr.findIndex(function (value) {
                    return value == v;
                });
                if(searchTag == -1){
                    oldTagsAr.push(v);
                }
            });
            var tags = oldTagsAr.join(",");

            $('#tags').val(tags);
        });

        $('.datepicker').datetimepicker({
            //startDate: '<?php echo date("Y-m-d")?>',
            startView: 2,
            minView: 2,
            maxView: 2,
            autoclose: true,
            todayHighlight: true,
            format: 'yyyy-mm-dd'
        });
    });

    //});

</script>

<script>
    $(window).scroll(function() {
        if ($(document).scrollTop() > 50) {
            $('nav').addClass('shrink');
        } else {
            $('nav').removeClass('shrink');
        }
    });




</script>
</body>
</html>
