@extends('admin.master')

@section('title','Profile')

@section('pageTitle')
    <div class="row">
        <div class="col-md-3 col-sm-4">
            <h2> ইউজার প্রোফাইল </h2>
            <strong><time><?php echo date("Y-m-d g:i:s")?></time></strong>
        </div>
    </div>
@endsection

@section('mainContend')
    <div class="container">
        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>
        <div class="row">
            <div class="col-md-offset-2 col-md-8">
                <div class="panel panel-success">
                    <div class="panel-heading">কর্মকর্তা / কর্মচারীর তথ্য</div>
                    <div class="panel-body">
                        <table class="table table-bordered">
                            <tr>
                                <th>নাম : </th>
                                <th style="padding-left: 8px"> {{ ucwords($users->name )}}</th>
                            </tr>
                            <tr>
                                <th>ইউজার নেইম : </th>
                                <th style="padding-left: 8px"> {{ ucwords($users->userName)}}</th>
                            </tr>
                            <tr>
                                <th>কর্মকর্তার পদবী : </th>
                                <th style="padding-left: 8px">
                                    @if($responsInfo)
                                        {{ $responsInfo->responsibilitiesName }}
                                    @else {{ 'value not found !' }}
                                    @endif

                                </th>
                            </tr>
                            <tr>
                                <th>কর্মকর্তার দায়িত্ব : </th>
                                <th style="padding-left: 8px">
                                    <?php $i = 1; foreach ($activityInfo as $value){ ?>
                                    <?php  echo $i++ . '. ' . $value->activityName .'<br>' ?><br>
                                    <?php } ?>

                                </th>
                            </tr>
                            <tr>
                                <th>তারিখ : </th>
                                <th style="padding-left: 8px"> {{ $users->created_at }}</th>
                            </tr>
                            <tr>
                                <th>কর্মকর্তার অবস্থা </th>
                                <th style="padding-left: 8px">
                                    @if($users->status == 1)
                                        <spain class="text-success">সক্রিয়</spain>
                                    @elseif($users->status == 0)
                                        <spain class="text-info">নিষ্ক্রিয়</spain>
                                    @endif
                                </th>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        {{--change password --}}

        <div class="row">
            <div class="col-md-offset-2 col-md-8">
                <div class="panel panel-info">
                    <div class="panel-heading">পাসওয়ার্ড পরিবর্তন</div>
                    <div class="panel-body">
                        {!! Form::open(['url'=>'passwordUpdate','method'=>'POST']) !!}
                        <div class="form-group">
                            <div class="row">

                                <div class="col-md-6">
                                    <input type="password" class="form-control" id="name" placeholder="নতুন পাসওয়ার্ড" name="password" required>

                                    @if ($errors->has('password'))
                                        <span class="help-block">
                                          <strong>{{ $errors->first('password') }}</strong>
                                         </span>
                                    @endif

                                </div>

                                <div class="col-md-6">
                                    <input type="password" class="form-control" id="name" placeholder="নিশ্চিত পাসওয়ার্ড" name="password_confirmation" required>

                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-9 pull-left">
                                <button class="btn btn-primary" type="submit">সংরক্ষন করুন</button>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection