<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master')
@section('title','Dashboard')

@section('pageTitle')
    <div class="row">
        <div class="col-md-4 col-sm-5">
            <h2>স্বাগতম কর্মকর্তা/ কমচারি</h2>
            <time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div>
@endsection

@section('mainContend')
    @if(Auth::user()->role == 2)
    <div class="container">
        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>

        <div class="row">
            <h4 class="text-success col-md-5 col-md-offset-1">আপনি যে দায়িত্ব গুলো পালন করেছেন সেগুলো নির্বাচন করুন</h4>
        </div>
        {{ Form::open(['url'=>'reportUpdate','method'=>'POST']) }}
        <div class="row">
            <div class="col-md-12 col-sm-8">
                <table class="table table-bordered">
                    <tr>
                        <td>বিবরন</td>
                        <td>সংখ্যা</td>
                        <td>মন্তব্য</td>
                    </tr>

                    <?php
                    $i = 0;$c = 0;
                    $number = explode(',', $getView->number);
                    $comments = explode(',', $getView->comments);
                    ?>
                    @foreach($activityInfo as $value)

                        <tr>
                            <td>
                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" checked value="{{ $value->id }}" name="activityId[]">{{ $value->activityName }}
                                    </label>
                                </div>
                            </td>

                            <td class="col-md-1">
                                <div class="form-group">
                                    <input type="number" class="form-control" id="forWorkQuantity" placeholder="সংখ্যা  লিখুন" name="number[]" value="{{ $number[$i++] }}">
                                </div>
                            </td>

                            <td class="col-md-1">
                                <div class="form-group">
                                    <input type="text" class="form-control" id="forWorkQuantity" placeholder="মন্তব্য" name="comments[]" value="{{ $comments[$c++] }}">
                                </div>
                            </td>

                        </tr>

                    @endforeach

                </table>
                <input type="hidden" name="id" value="{{ $getView->id }}">

                <input type="submit" name="" class="btn btn-success pull-right" value="সংরক্ষণ করুন"/>
            </div>

        </div>

        {{ Form::close() }}
    </div>
    @endif
@endsection
