<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master1')
@section('title','Book Registration')

@section('pageTitle')
    <!-- <div class="row">
        <div class="col-md-3 col-sm-4">
            <h2>Grontho Nir</h2>
            <strong><a href="{{ url('dashboard') }}">Dashboard</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div> -->
@endsection

@section('mainContend')
    <div class="container">
        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>
        <div class="row">
            <h4 class="text-success col-md-6 col-md-offset-3 text-center"> Book Registration </h4>
            <button href="#" data-toggle="modal" data-target="#bookModal" class="btn btn-warning" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
        </div>
        <hr>
<?php
// echo "<pre>";
// var_dump($writers);
// echo "</pre>";
// exit;
?>
        {!! Form::open(['url'=>'bookEntry','method'=>'POST','class'=>'form-horizontal hide','name'=>'employee']) !!}
        <div class="form-group">
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Book Name</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control tag-seeker" id="name" placeholder="Book Name" name="name" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Subject</label>
                    <div class="col-md-8 input-group">
                        <input type="text" name="subject" id="subject" class="form-control tag-seeker" placeholder="Separate by comma"/>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="name" class="col-md-4">Writer</label>
                    <div class="col-md-7 input-group">
                        <select class="form-control tag-seeker" id="writers" name="writer" required>
                            <option value="">Select Writer</option>
                            @foreach($writers as $writer)
                                <option value="{{ $writer->id }}"><?=$writer->name?></option>
                            @endforeach
                        </select>
                        <div class="input-group-btn">
                            <button href="#" data-toggle="modal" data-target="#writerModal" class="btn btn-warning" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                        </div>
                    </div>
                </div>
                    <div class="col-md-4">
                        <label for="name" class="col-md-4">Translator</label>
                        <div class="col-md-7 input-group">
                            <select class="form-control tag-seeker" id="translators" name="translator" >
                                <option value="">Select Writer</option>
                                @foreach($writers as $writer)
                                    <option value="{{ $writer->id }}"><?=$writer->name?></option>
                                @endforeach
                            </select>
                            <div class="input-group-btn">
                                <button href="#" data-toggle="modal" data-target="#translatorModal" class="btn btn-warning" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                            </div>
                        </div>
                    </div>
                <div class="col-md-4">
                    <label for="name" class="col-md-4">Publisher</label>
                    <div class="col-md-7 input-group">
                        <select class="form-control tag-seeker" id="publishers" name="publisher" required>
                            <option value="">Select Publisher</option>
                            @foreach($publishers as $publisher)
                                <option value="{{ $publisher->id }}"><?=$publisher->name?></option>
                            @endforeach
                        </select>
                        <div class="input-group-btn">
                            <button href="#" data-toggle="modal" data-target="#publisherModal" class="btn btn-warning" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Price</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control" id="price" placeholder="Price" name="price" >
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Edition</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control" id="edition" placeholder="Edition" name="edition" >
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Publish Date</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control datepicker" id="publish_date" placeholder="Publish Date" name="publish_date" >
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Purchase Date</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control datepicker" id="purchase_date" placeholder="Purchase Date" name="purchase_date" >
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="col-md-4">ISBN No.</label>
                    <div class="col-md-8 input-group">
                        <input type="text" class="form-control tag-seeker" id="isbn" placeholder="ISBN No." name="isbn" >
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="name" class="col-md-4">Status</label>
                    <div class="col-md-8 input-group">
                        <select class="form-control" id="status" name="status" required>
                            <option value="">Select Status</option>
                            <option value="1">In House</option>
                            <!-- <option value="2">On Lend</option> -->
                            <option value="3">Wishlist</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <input type="hidden" name="tags" id="tags" class="form-control" placeholder="Tags"/>
                    <input type="submit" name="" class="btn btn-success" value="Save"/>
                </div>
            </div>
        </div>
        {!! Form::close() !!}
<hr>

            <div class="row">
                <div class="adv-table table-responsive">
                    <div id="dynamic-table_wrapper" class="dataTables_wrapper form-inline" role="grid">

                        <table class="table table-bordered dataTable" id="dynamic-table">
                            <thead>
                            <tr>
                                <th>Sl No.</th>
                                <th>Book Name</th>
                                <th>Writer</th>
                                <th>Publisher</th>
                                <th>Subject</th>
                                <th class="hide">Actions</th>
                            </tr>
                            </thead>
                            <tbody role="alert" aria-live="polite" aria-relevant="all">
                            <?php $i = 1; ?>
                            @foreach($books as $value)
                                <tr class="gradeX odd {{ ($value->status == 2)? "lend" : "" }}">
                                    <td>{{ $i++ }}</td>
                                    <td><a class="btn btn-info btn-sm" href="{{ url('/showBookById/'.$value->id) }}" data-toggle="tooltip" data-placement="bottom" title="See Details"><?=$value->name?></a></td>
                                    <td>
                                      <?=$value->writerName?>
                                      <?php
                                      if($value->translator != null || $value->translator != ''){
                                        echo "<br>Translator: ".$value->translator;
                                      }
                                      ?>
                                    </td>
                                    <td><?=$value->publisherName?></td>
                                    <td><?=$value->subject?></td>
                                    <td class="hide">
                                        <a class="btn btn-info btn-sm" href="{{ url('/showBookById/'.$value->id) }}" data-toggle="tooltip" data-placement="bottom" title="See Details"><i class="fa fa-eye"></i></a>
                                        <a class="btn btn-success btn-sm" href="{{ url('/updateBookById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Update Book Info"><i class="fa fa-pencil-square-o"></i></a>
                                        <a class="btn btn-danger btn-sm" href="{{ url('/deleteBookById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Delete Book Info" onclick="return confirm('Are you sure to delete this?')"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                                        <a class="btn btn-warning btn-sm {{ ($value->status == 2)? "hide" : "" }}" href="{{ url('/lendBookById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Lend Book" onclick=""><i class="fa fa-handshake-o" aria-hidden="true"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

    </div>

    <div id="translatorModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Translator</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {!! Form::open(['class'=>'form-translator']) !!}
                    <div class="form-group text-center">
                        <div class="row">
                            <label for="name" class="col-md-4">Translator's Name</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control tag-seeker" id="name" placeholder="Writer's / Translator's Name" name="name" required>
                            </div>
                        </div>
                        <div class="row">
                            <label for="name" class="col-md-4">Biography</label>
                            <div class="col-md-8">
                                <textarea class="form-control" id="name" placeholder="Writer's / Translator's Biography" name="biography"></textarea>
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary save-translator">Save changes</button>
                    <button type="button" class="btn btn-secondary cancel" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="writerModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Writer</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {!! Form::open(['class'=>'form-writer']) !!}
                    <div class="form-group text-center">
                        <div class="row">
                            <label for="name" class="col-md-4">Writer's Name</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control tag-seeker" id="name" placeholder="Writer's / Translator's Name" name="name" required>
                            </div>
                        </div>
                        <div class="row">
                            <label for="name" class="col-md-4">Biography</label>
                            <div class="col-md-8">
                                <textarea class="form-control" id="name" placeholder="Writer's / Translator's Biography" name="biography"></textarea>
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary save-writer">Save changes</button>
                    <button type="button" class="btn btn-secondary cancel" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="publisherModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Publisher</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {!! Form::open(['class'=>'form-publisher']) !!}
                    <div class="form-group text-center">
                        <div class="row">
                            <label for="name" class="col-md-4">Publisher Name</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control tag-seeker" id="name" placeholder="Publisher's / Translator's Name" name="name" required>
                            </div>
                        </div>
                        <div class="row">
                                <label for="name" class="col-md-4">Address</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="name" placeholder="Address" name="address" >
                            </div>
                        </div>
                        <div class="row">
                                <label for="name" class="col-md-4">Contact Number</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="name" placeholder="Contact No" name="contact_no" >
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary save-publisher">Save changes</button>
                    <button type="button" class="btn btn-secondary cancel" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    
    <div id="bookModal" class="modal" tabindex="-1" role="dialog" >
        <div class="modal-dialog" role="document" style="width: 80%">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Book</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" style="padding: 0 15px;">
                    {!! Form::open(['url'=>'bookEntry','method'=>'POST','class'=>'form-horizontal','name'=>'employee']) !!}
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Book Name</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control tag-seeker" id="name" placeholder="Book Name" name="name" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Subject</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" name="subject" id="subject" class="form-control tag-seeker" placeholder="Separate by comma"/>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="name" class="col-md-4">Writer</label>
                                    <div class="col-md-7 input-group">
                                        <select class="form-control tag-seeker" id="writers" name="writer" required>
                                            <option value="">Select Writer</option>
                                            @foreach($writers as $writer)
                                                <option value="{{ $writer->id }}"><?=$writer->name?></option>
                                            @endforeach
                                        </select>
                                        <div class="input-group-btn">
                                            <button href="#" data-toggle="modal" data-target="#writerModal" class="btn btn-warning hide" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                                        </div>
                                    </div>
                                </div>
                                    <div class="col-md-4">
                                        <label for="name" class="col-md-4">Translator</label>
                                        <div class="col-md-7 input-group">
                                            <select class="form-control tag-seeker" id="translators" name="translator" >
                                                <option value="">Select Writer</option>
                                                @foreach($writers as $writer)
                                                    <option value="{{ $writer->id }}"><?=$writer->name?></option>
                                                @endforeach
                                            </select>
                                            <div class="input-group-btn">
                                                <button href="#" data-toggle="modal" data-target="#translatorModal" class="btn btn-warning hide" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                                            </div>
                                        </div>
                                    </div>
                                <div class="col-md-4">
                                    <label for="name" class="col-md-4">Publisher</label>
                                    <div class="col-md-7 input-group">
                                        <select class="form-control tag-seeker" id="publishers" name="publisher" required>
                                            <option value="">Select Publisher</option>
                                            @foreach($publishers as $publisher)
                                                <option value="{{ $publisher->id }}"><?=$publisher->name?></option>
                                            @endforeach
                                        </select>
                                        <div class="input-group-btn">
                                            <button href="#" data-toggle="modal" data-target="#publisherModal" class="btn btn-warning hide" type="button"> <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Price</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control" id="price" placeholder="Price" name="price" >
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Edition</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control" id="edition" placeholder="Edition" name="edition" >
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Publish Date</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control datepicker" id="publish_date" placeholder="Publish Date" name="publish_date" >
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Purchase Date</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control datepicker" id="purchase_date" placeholder="Purchase Date" name="purchase_date" >
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">ISBN No.</label>
                                    <div class="col-md-8 input-group">
                                        <input type="text" class="form-control tag-seeker" id="isbn" placeholder="ISBN No." name="isbn" >
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="name" class="col-md-4">Status</label>
                                    <div class="col-md-8 input-group">
                                        <select class="form-control" id="status" name="status" required>
                                            <option value="">Select Status</option>
                                            <option value="1">In House</option>
                                            <!-- <option value="2">On Lend</option> -->
                                            <option value="3">Wishlist</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="hidden" name="tags" id="tags" class="form-control" placeholder="Tags"/>
                                    <!--input type="submit" name="" class="btn btn-success" value="Save"/-->
                                </div>
                            </div>
                        </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary save-publisher">Save changes</button>
                    <button type="button" class="btn btn-secondary cancel" data-dismiss="modal">Close</button>
                </div>
                
                {!! Form::close() !!}
            </div>
        </div>
    </div>
@endsection
