<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master1')
@section('title','Book Update')

@section('pageTitle')
    <!-- <div class="row">
        <div class="col-md-4 col-sm-5">
            <h2>Grontho Nir</h2>
            <strong><a href="{{ url('dashboard') }}">Dashboard</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div> -->
@endsection

@section('mainContend')
    <div class="container">



        {!! Form::open(['url'=>'updateBookById','method'=>'POST','class'=>'form-horizontal','name'=>'employee']) !!}
        <div class="form-group">
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="control-label">Book Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Book Name" name="name" value="<?=$booksInfo->name?>" required>
                </div>
                <div class="col-md-6">
                    <label for="name" class="control-label">Subject</label>
                    <input type="text" name="subject" class="form-control" placeholder="Separate by comma" value="<?=$booksInfo->subject?>" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="name" class="control-label">Writer</label>
                    <select class="form-control" id="writers" name="writer" required>
                        <option value="">Select Writer</option>
                        @foreach($writers as $writer)
                            <option value="{{ $writer->id }}" @if($writer->id == $booksInfo->writer) selected @endif ><?=$writer->name?></option>
                        @endforeach
                    </select>
                </div>
                <div class="col-md-4">
                    <label for="name" class="control-label">Translator</label>
                    <select class="form-control" id="translator" name="translator">
                        <option value="">Select Writer</option>
                        @foreach($writers as $writer)
                            <option value="{{ $writer->id }}" @if($writer->id == $booksInfo->translator) selected @endif ><?=$writer->name?></option>
                        @endforeach
                    </select>
                </div>
                <div class="col-md-4">
                    <label for="name" class="control-label">Publisher</label>
                    <select class="form-control" id="publishers" name="publisher" required>
                        <option value="">Select Publisher</option>
                        @foreach($publishers as $publisher)
                            <option value="{{ $publisher->id }}" @if($publisher->id == $booksInfo->publisher) selected @endif ><?=$publisher->name?></option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="control-label">Price</label>
                    <input type="text" class="form-control" id="price" placeholder="Price" name="price" value="{{ $booksInfo->price }}" >
                </div>
                <div class="col-md-6">
                    <label for="name" class="control-label">Edition</label>
                    <input type="text" class="form-control" id="edition" placeholder="Edition" name="edition" value="<?=$booksInfo->edition?>">
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="control-label">Publish Date</label>
                    <input type="text" class="form-control datepicker" id="publish_date" placeholder="Publish Date" name="publish_date"  value="{{ $booksInfo->publish_date }}">
                </div>
                <div class="col-md-6">
                    <label for="name" class="control-label">Purchase Date</label>
                    <input type="text" class="form-control datepicker" id="purchase_date" placeholder="Purchase Date" name="purchase_date"  value="{{ $booksInfo->purchase_date }}">
                </div>
            </div>
        <input type="hidden" name="id" value="{{ $booksInfo->id }}">

            <div class="row">
                <div class="col-md-6">
                    <label for="name" class="control-label">ISBN No.</label>
                    <input type="text" class="form-control tag-seeker" id="isbn" placeholder="ISBN No." name="isbn" value="{{ $booksInfo->isbn }}" >

                </div>
                <div class="col-md-6">
                    <label for="name" class="control-label">Status</label>
                    <select class="form-control" id="status" name="status" required>
                        <option value="">Select Status</option>
                        <option value="1" @if($booksInfo->status == 1) selected @endif>In House</option>
                        <option value="2" @if($booksInfo->status == 2) selected @endif>On Lend</option>
                        <option value="3" @if($booksInfo->status == 3) selected @endif>Wishlist</option>
                    </select>
                </div>

            </div>
            <div class="row">
                <div class="col-md-6">
                    <input type="hidden" name="tags" class="form-control" placeholder="Tags" value="{{ $booksInfo->tags }}" />
                    <input type="submit" name="" class="btn btn-success" value="Update"/>
                </div>
            </div>
        {!! Form::close() !!}

    </div>
    @endsection
