<?php
date_default_timezone_set('Asia/Dhaka');
?>

@extends('admin.master1')
@section('title','Publisher Registration')

@section('pageTitle')
    <!-- <div class="row">
        <div class="col-md-3 col-sm-4">
            <h2>Grontho Nir</h2>
            <strong><a href="{{ url('dashboard') }}">Dashboard</a> / </strong><time><?php echo date("Y-m-d g:i:s")?></time>
        </div>
    </div> -->
@endsection

@section('mainContend')
    <div class="container">
        <?php
        $message = Session::get('message');
        if ($message){
        ?>
        <div class = "alert alert-success alert-dismissable">
            <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">
                &times;
            </button>

            <?php  echo $message; ?>
        </div>
        <?php
        Session::put('message','');
        }
        ?>
        <div class="row">
            <h4 class="text-success col-md-6 col-md-offset-3 text-center"> Publisher Registration </h4>

        </div>
        <hr>

        {!! Form::open(['url'=>'publisherEntry','method'=>'POST','class'=>'form-horizontal','name'=>'employee']) !!}
        <div class="form-group text-center">
            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <label for="name" class="control-label">Publisher Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Publisher's Name" name="name" required>

                    @if ($errors->has('name'))
                        <span class="help-block">
                            <strong>{{ $errors->first('name') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <label for="name" class="control-label">Address</label>
                    <input type="text" class="form-control" id="name" placeholder="Address" name="address" >

                    @if ($errors->has('address'))
                        <span class="help-block">
                            <strong>{{ $errors->first('address') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <label for="name" class="control-label">Contact Number</label>
                    <input type="text" class="form-control" id="name" placeholder="Contact No" name="contact_no" >

                    @if ($errors->has('contact_no'))
                        <span class="help-block">
                            <strong>{{ $errors->first('contact_no') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-md-offset-3 text-center">
                    <input type="submit" name="" class="btn btn-success" value="Save"/>
                </div>
            </div>
        </div>
        {!! Form::close() !!}

        <div class="row">
            <div class="adv-table table-responsive">
                <div id="dynamic-table_wrapper" class="dataTables_wrapper form-inline" role="grid">

                    <table class="table table-bordered dataTable" id="dynamic-table">
                        <thead>
                        <tr>
                            <th>Sl No.</th>
                            <th>Publisher Name</th>
                            <th>Contact No</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody role="alert" aria-live="polite" aria-relevant="all">
                        <?php $i = 1; ?>
                        @foreach($publishers as $value)
                            <tr class="gradeX odd">
                                <td>{{ $i++ }}</td>
                                <td><?=$value->name?></td>
                                <td>{{ $value->contact_no }}</td>
                                <td>
                                    <a href="{{ url('/showPublisherById/'.$value->id) }}" class="btn btn-info" data-toggle="tooltip" data-placement="bottom" title="See Details"><i class="fa fa-eye"></i></a>
                                    <a class="btn btn-success" href="{{ url('/updatePublisherById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Update Publisher Info"><i class="fa fa-pencil-square-o"></i></a>
                                    <a class="btn btn-danger" href="{{ url('/deletePublisherById/'.$value->id) }}" type="button" data-toggle="tooltip" data-placement="top" title="Delete Publisher Info" onclick="return confirm('Are you sure to delete this?')"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
